package net.northking.cctp.element.ftp;

import net.northking.cctp.element.core.AbstractLibrary;
import net.northking.cctp.element.core.annotation.Library;
import net.northking.cctp.element.core.type.LibraryConstant;
import net.northking.cctp.element.util.Javadoc2Libdoc;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>这是一个用于FTP操作的组件库。</p>
 */
@Library(scanBasePackage = "net.northking.cctp.element.ftp", infoClass = FtpLibrary.class)
public class FtpLibrary extends AbstractLibrary {

    private static final Logger logger = LoggerFactory.getLogger(FtpLibrary.class);
    private static final Javadoc2Libdoc JAVA_DOC_2_LIB_DOC = new Javadoc2Libdoc(FtpLibrary.class);
    private static final String NAME = "NK.Ftp";
    private static final String CH_NAME = "ftp组件库";
    private static final String VERSION = "1.5";
    private static final Integer TYPE = LibraryConstant.LIB_TYPE_NOT;

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getChName() {
        return CH_NAME;
    }

    @Override
    public String getVersion() {
        return VERSION;
    }

    @Override
    public Javadoc2Libdoc getLibDoc() {
        return JAVA_DOC_2_LIB_DOC;
    }

    @Override
    public Integer getType() {
        return TYPE;
    }
    @Override
    public void destroy() {
        logger.info("destroy done.");
    }

}